GIT-PW(1)

NAME
git-pw - git-pw is a tool for integrating Git with...

SYNOPSIS
git-pw [OPTIONS] COMMAND [ARGS]...

DESCRIPTION
git-pw is a tool for integrating Git with Patchwork.

git-pw can interact with individual patches, complete patch series, and customized bundles. The three major subcommands are *patch*, *bundle*, and *series*.

The git-pw utility is a wrapper which makes REST calls to the Patchwork service. To use git-pw, you must set up your environment by configuring your Patchwork server URL and either an API token or a username and password. To configure the server URL, run::

  git config pw.server http://pw.server.com/path/to/patchwork

To configure the token, run::

  git config pw.token token

Alternatively, you can pass these options via command line parameters or environment variables.

For more information on any of the commands, simply pass ``--help`` to the appropriate command.

OPTIONS

--debug
    Output more information about what's going on.

--token TOKEN
    Authentication token. Defaults to the value of 'git config pw.token'.

--username USERNAME
    Authentication username. Defaults to the value of 'git config pw.username'.

--password PASSWORD
    Authentication password. Defaults to the value of 'git config pw.password'.

--server SERVER
    Patchwork server address/hostname. Defaults to the value of 'git config pw.server'.

--project PROJECT
    Patchwork project. Defaults the value of 'git config pw.project'.

--version
    Show the version and exit.

COMMANDS

patch
  Interact with patches.
  See git-pw-patch(1) for full documentation on the patch command.

series
  Interact with series.
  See git-pw-series(1) for full documentation on the series command.

bundle
  Interact with bundles.
  See git-pw-bundle(1) for full documentation on the bundle command.